Permalink
Browse files

Pull old jasmine-ruby.gemspec, add jasmine.gemspec

  • Loading branch information...
pivotalops committed Dec 31, 2009
1 parent 9b42df2 commit e26c3754b02077d1c3fc3bdea7da30e6f51ac15a
Showing with 30 additions and 15 deletions.
  1. +30 −15 jasmine-ruby.gemspec → jasmine.gemspec
@@ -5,43 +5,49 @@
Gem::Specification.new do |s|
s.name = %q{jasmine}
- s.version = "0.1.0"
+ s.version = "0.1.3"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Rajan Agaskar"]
- s.date = %q{2009-12-27}
- s.default_executable = %q{jasmine}
- s.description = %q{Jasmine Ruby}
+ s.authors = ["Rajan Agaskar", "Christian Williams"]
+ s.date = %q{2009-12-31}
+ s.description = %q{Javascript BDD test framework}
s.email = %q{ragaskar@gmail.com}
- s.executables = ["jasmine"]
+ s.executables = ["autospec", "edit_json.rb", "jasmine", "jeweler", "prettify_json.rb", "rackup", "rake", "rubyforge", "selenium-rc", "spec", "thin"]
s.extra_rdoc_files = [
"README.markdown"
]
s.files = [
"bin/jasmine",
+ "jasmine/contrib/ruby/jasmine_runner.rb",
+ "jasmine/contrib/ruby/jasmine_spec_builder.rb",
+ "jasmine/contrib/ruby/run.html",
"jasmine/lib/TrivialReporter.js",
"jasmine/lib/consolex.js",
"jasmine/lib/jasmine-0.10.0.js",
"jasmine/lib/jasmine.css",
"jasmine/lib/json2.js",
"lib/jasmine.rb",
+ "lib/jasmine/base.rb",
+ "lib/jasmine/config.rb",
"lib/jasmine/jasmine_helper.rb",
"lib/jasmine/jasmine_meta_spec.rb",
- "lib/jasmine/jasmine_runner.rb",
+ "lib/jasmine/run.html.erb",
+ "lib/jasmine/selenium_driver.rb",
+ "lib/jasmine/server.rb",
"lib/jasmine/spec_builder.rb",
- "lib/jasmine/run.html",
- "templates/Rakefile",
- "templates/ExampleSpec.js",
- "templates/jasmine_helper.rb",
- "templates/SpecHelper.js"
+ "templates/Rakefile"
]
- s.homepage = %q{http://github.com/ragaskar/jasmine}
+ s.homepage = %q{http://github.com/pivotal/jasmine-ruby}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.5}
- s.summary = %q{Jasmine Ruby}
+ s.summary = %q{Jasmine Ruby Runner}
s.test_files = [
- "spec/jasmine_spec.rb"
+ "spec/config_spec.rb",
+ "spec/jasmine_self_test_config.rb",
+ "spec/jasmine_self_test_spec.rb",
+ "spec/server_spec.rb",
+ "spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
@@ -50,17 +56,26 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<rspec>, [">= 1.1.5"])
+ s.add_runtime_dependency(%q<json>, [">= 1.1.9"])
s.add_runtime_dependency(%q<rack>, [">= 1.0.0"])
s.add_runtime_dependency(%q<thin>, [">= 1.2.4"])
+ s.add_runtime_dependency(%q<selenium-rc>, [">= 2.1.0"])
+ s.add_runtime_dependency(%q<selenium-client>, [">= 1.2.17"])
else
s.add_dependency(%q<rspec>, [">= 1.1.5"])
+ s.add_dependency(%q<json>, [">= 1.1.9"])
s.add_dependency(%q<rack>, [">= 1.0.0"])
s.add_dependency(%q<thin>, [">= 1.2.4"])
+ s.add_dependency(%q<selenium-rc>, [">= 2.1.0"])
+ s.add_dependency(%q<selenium-client>, [">= 1.2.17"])
end
else
s.add_dependency(%q<rspec>, [">= 1.1.5"])
+ s.add_dependency(%q<json>, [">= 1.1.9"])
s.add_dependency(%q<rack>, [">= 1.0.0"])
s.add_dependency(%q<thin>, [">= 1.2.4"])
+ s.add_dependency(%q<selenium-rc>, [">= 2.1.0"])
+ s.add_dependency(%q<selenium-client>, [">= 1.2.17"])
end
end

0 comments on commit e26c375

Please sign in to comment.